Bug 597681 - Review Request: kupfer - A free software launcher
Review Request: kupfer - A free software launcher
Status: CLOSED DUPLICATE of bug 696249
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
NotReady
:
Depends On: 593800
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-30 00:17 EDT by Ratnadeep Debnath
Modified: 2011-04-13 13:01 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-13 13:01:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ratnadeep Debnath 2010-05-30 00:17:10 EDT
Spec URL: http://rtnpro.fedorapeople.org/Packages/SPECS/kupfer.spec
SRPM URL: 
Description:

I am packaging kupfer for fedora. I have already packaged
python-keyring which is a dependency for kupfer.

http://rtnpro.fedorapeople.org/Packages/SRPMS/python-keyring-0.2-1.fc12.src.rpm

kupfer SPEC used : http://rtnpro.fedorapeople.org/Packages/SPECS/kupfer.spec
kupfer src : http://kaizer.se/publicfiles/kupfer/kupfer-v200.tar.gz
kupfer uses the waf build system. While
./waf configure
works from the source folder of kupfer
#################################
[rtnpro@xps kupfer-v200]$ waf configure
Check for program python                 : /usr/bin/python
Checking for Python version >= 2.6.0     : ok 2.6.2
Check for program gcc or cc              : /usr/lib/ccache/gcc
Check for program cpp                    : /usr/bin/cpp
Check for program ar                     : /usr/bin/ar
Check for program ranlib                 : /usr/bin/ranlib
Check for program msgfmt                 : /usr/bin/msgfmt
Check for program intltool-merge         : /usr/bin/intltool-merge
Checking for header locale.h             : ok
Check for program xml2po                 : /usr/bin/xml2po
Installing python modules into: /usr/local/share/kupfer
Checking for Python module gio           : ok
Checking for Python module gtk           : ok
Checking for Python module xdg           : ok
Checking for Python module dbus          : ok
Checking for Python module keyring       : ok
Checking optional dependencies:
Check for program dbus-send              : /bin/dbus-send
Check for program rst2man                : not found
Optional, allows: Generate and install man page
Checking for Python module keybinder     : not found
Python module keybinder is recommended
Please see README
Checking for Python module wnck          : ok
Checking for Python module gnome         : ok
'configure' finished successfully (0.808s)

But while I am doing rpmbuild, it says that
Python gtk module not found

#################################
[rtnpro@xps SPECS]$ rpmbuild -ba kupfer.spec
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.AtQBIg
+ umask 022
+ cd /home/rtnpro/rpmbuild/BUILD
+ LANG=C
+ export LANG
+ unset DISPLAY
+ cd /home/rtnpro/rpmbuild/BUILD
+ rm -rf kupfer-v200
+ /usr/bin/gzip -dc /home/rtnpro/rpmbuild/SOURCES/kupfer-v200.tar.gz
+ /bin/tar -xf -
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ cd kupfer-v200
+ /bin/chmod -Rf a+rX,u+w,g-w,o-w .
+ exit 0
Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.sxcUp9
+ umask 022
+ cd /home/rtnpro/rpmbuild/BUILD
+ cd kupfer-v200
+ LANG=C
+ export LANG
+ unset DISPLAY
+ CFLAGS='-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions
-fstack-protector --param=ssp-buffer-size=4 -m32 -march=i686
-mtune=atom -fasynchronous-unwind-tables'
+ LDFLAGS=-lm
+ waf configure --prefix=/usr
Check for program python                 : /usr/bin/python
Checking for Python version >= 2.6.0     : ok 2.6.2
Check for program gcc or cc              : /usr/lib/ccache/gcc
Check for program cpp                    : /usr/bin/cpp
Check for program ar                     : /usr/bin/ar
Check for program ranlib                 : /usr/bin/ranlib
Check for program msgfmt                 : /usr/bin/msgfmt
Check for program intltool-merge         : /usr/bin/intltool-merge
Checking for header locale.h             : ok
Check for program xml2po                 : /usr/bin/xml2po
Installing python modules into: /usr/share/kupfer
Checking for Python module gio           : ok
Checking for Python module gtk           : not found
/home/rtnpro/rpmbuild/BUILD/kupfer-v200/wscript:143: error: Could not
find the python module 'gtk'
error: Bad exit status from /var/tmp/rpm-tmp.sxcUp9 (%build)


RPM build errors:
   Bad exit status from /var/tmp/rpm-tmp.sxcUp9 (%build)

I am not able to figure out why this is happening.
Comment 1 Pavel Alexeev 2010-05-30 06:10:37 EDT
May be you need pygtk2-devel ?
Comment 2 Ulrik 2010-05-30 23:40:02 EDT
I suggest you should configure kupfer with --no-runtime-deps ; this configuration option is made specially for packaging. You can contact me for further guidiance if you wish.

Building the man pages automatically conflicts with the --no-runtime-deps option. You can do it manually in the package (or I can fix it in a later version); anyhow I recommend fedora to build & install the man page for kupfer; you need rst2man for that (python-docutils).

Debian can serve as inspiration, here is their rules file: http://svn.debian.org/viewsvn/python-apps/packages/kupfer/trunk/debian/rulesa
Comment 3 Susi Lehtola 2010-05-31 11:45:53 EDT
You will need to modify the package version and release tags as per
 http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Package_Version
as upstream doesn't seem to abide to any sensible versioning standard.
Comment 4 Michael Schwendt 2010-08-05 07:17:31 EDT
> %files -f INSTALLED_FILES
> %defattr(-,root,root,-)
> %doc

This is not good, but sloppy. Using a files-list with option -f ought to be the exceptional case, not the default. Do fill the %files section explicitly with entries for directories and files found in the buildroot.


> Summary: kupfer is a simple, flexible, launcher for Gnome

Repeating the package name in the %summary only occupies space and makes the summary less concise, because wherever the %summary would be displayed, the package name or file name would be nearby (notice e.g. how Anaconda displays the package summaries during installating). Better:

Summary: Simple but flexible launcher for GNOME
Comment 5 Mamoru TASAKA 2010-11-01 15:16:33 EDT
(Removing NEEDSPONSOR, I am sponsoring the submitter)
Comment 6 Mamoru TASAKA 2010-11-08 12:38:11 EST
Ratnadeep, would you update your srpm reflecting the comments
in this review request?
Comment 7 Mamoru TASAKA 2010-11-20 12:54:56 EST
ping?
Comment 8 Ratnadeep Debnath 2010-11-22 06:16:43 EST
I am having my semester examinations now. So, I would be busy for a while. Would someone like to become a co-maintainer of this package?
Comment 9 Jason Tibbitts 2010-12-13 09:09:05 EST
If you're busy, I'll just mark this as not being ready for review.
Comment 10 Renich Bon Ciric 2011-01-28 04:44:08 EST
I'm up to it. Same problems...
http://renich.fedorapeople.org/SPECS/kupfer.spec

I'll revise these posts and correct accordingly... tomorrow... ;=s
Comment 11 Ratnadeep Debnath 2011-01-28 09:25:43 EST
@Renich Bon Ciric

You are most welcome to proceed with packaging kupfer. Thanks, buddy. I am right now entangled with so many works at a time.
Comment 12 Renich Bon Ciric 2011-01-31 19:49:49 EST
Ok, do these work?:

SPEC: http://renich.fedorapeople.org/SPECS/kupfer.spec
SRPM: http://renich.fedorapeople.org/SRPMS/kupfer-203-1.fc14.src.rpm

Shoot!
Comment 13 hannes 2011-03-28 10:21:08 EDT
Is there some progress on this review? I saw that 204 is released: http://kaizer.se/wiki/kupfer/
Comment 14 Renich Bon Ciric 2011-03-31 03:50:03 EDT
(In reply to comment #13)
> Is there some progress on this review? I saw that 204 is released:
> http://kaizer.se/wiki/kupfer/

Sorry, I'm a bit busy with synapse:
https://bugzilla.redhat.com/show_bug.cgi?id=671862

But I will get back to this once I'm finished, ok? ;)
Comment 15 Renich Bon Ciric 2011-04-12 15:57:30 EDT
Ok, I'm on it! I will try to package 205! ;)
Comment 16 Renich Bon Ciric 2011-04-12 19:13:50 EDT
Ok, people! Here are the spec and srpm! Shoot!

SPEC: http://renich.fedorapeople.org/SPECS/kupfer.spec
SRPM: http://renich.fedorapeople.org/SRPMS/kupfer-v205-1.fc14.src.rpm

I'm a total newbie, so, please, be as meticulous as possible... if in the mood, that is! ;)
Comment 17 Christoph Wickert 2011-04-13 03:35:14 EDT
Unfortunately we reporter of a bug, so even if you take over for Ratnadeep, he will remain the persoon who asked for this review. Can you please open a new review and then close this one as duplicate?
Comment 18 Renich Bon Ciric 2011-04-13 12:56:12 EDT
(In reply to comment #17)
> Unfortunately we reporter of a bug, so even if you take over for Ratnadeep, he
> will remain the persoon who asked for this review. Can you please open a new
> review and then close this one as duplicate?

Sure
Comment 19 Renich Bon Ciric 2011-04-13 13:01:45 EDT

*** This bug has been marked as a duplicate of bug 696249 ***

Note You need to log in before you can comment on or make changes to this bug.